Package com.sun.mail.dsn

## Class message_dispositionnotification

- java.lang.Object
- - com.sun.mail.dsn.message_dispositionnotification

All Implemented Interfaces:
  `javax.activation.DataContentHandler`

    public class message_dispositionnotification
    extends java.lang.Object
    implements javax.activation.DataContentHandler

DataContentHandler for message/disposition-notification MIME type. Applications should not use this class directly, it's used indirectly through the JavaBeans Activation Framework.

Since:
  JavaMail 1.4.2

### Constructor Summary

Constructors
`message_dispositionnotification()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getContent​(javax.activation.DataSource ds)` Return the content.
`java.lang.Object` `getTransferData​(java.awt.datatransfer.DataFlavor df, javax.activation.DataSource ds)` return the Transfer Data of type DataFlavor from InputStream
`java.awt.datatransfer.DataFlavor[]` `getTransferDataFlavors()` return the DataFlavors for this `DataContentHandler`
`void` `writeTo​(java.lang.Object obj, java.lang.String mimeType, java.io.OutputStream os)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### message_dispositionnotification

    public message_dispositionnotification()

### Method Detail

#### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

return the DataFlavors for this `DataContentHandler`

Specified by:
  `getTransferDataFlavors` in interface `javax.activation.DataContentHandler`
Returns:
  The DataFlavors.

#### getTransferData

    public java.lang.Object getTransferData​(java.awt.datatransfer.DataFlavor df,
                                            javax.activation.DataSource ds)
                                     throws java.io.IOException

return the Transfer Data of type DataFlavor from InputStream

Specified by:
  `getTransferData` in interface `javax.activation.DataContentHandler`
Parameters:
  `df` - The DataFlavor.
  `ds` - The DataSource corresponding to the data.
Returns:
  a Message object
Throws:
  `java.io.IOException`

#### getContent

    public java.lang.Object getContent​(javax.activation.DataSource ds)
                                throws java.io.IOException

Return the content.

Specified by:
  `getContent` in interface `javax.activation.DataContentHandler`
Throws:
  `java.io.IOException`

#### writeTo

    public void writeTo​(java.lang.Object obj,
                        java.lang.String mimeType,
                        java.io.OutputStream os)
                 throws java.io.IOException

Specified by:
  `writeTo` in interface `javax.activation.DataContentHandler`
Throws:
  `java.io.IOException`